<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP4 - Cryptohraphie: Sources/encrypt.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP4 - Cryptohraphie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_937900b87e0c7a5fa01190c395fb83f7.html">Sources</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">encrypt.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="encrypt_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">   12</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="structencryption.html">encryption</a> *<a class="code" href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a>;</div><div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="encrypt_8h.html#a3bef78556ca8b58aced11732a4c85d74">   13</a></span>&#160;<span class="keyword">typedef</span> void (*<a class="code" href="encrypt_8h.html#a3bef78556ca8b58aced11732a4c85d74">method_t</a>)(encryption_t toEncrypt);</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="structencryption.html">   15</a></span>&#160;<span class="keyword">struct </span><a class="code" href="structencryption.html">encryption</a> {</div><div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="structencryption.html#ae447007bf70e69f8570be04ad882a00c">   16</a></span>&#160;  <a class="code" href="encrypt_8h.html#a3bef78556ca8b58aced11732a4c85d74">method_t</a> <a class="code" href="structencryption.html#ae447007bf70e69f8570be04ad882a00c">method</a>;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="structencryption.html#aa5447b7a42e44bad296e7088df8b5668">   17</a></span>&#160;  <span class="keywordtype">char</span> <a class="code" href="structencryption.html#aa5447b7a42e44bad296e7088df8b5668">key</a>[1024];</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="structencryption.html#abb17bb7036f070738ba589bd83bb487a">   18</a></span>&#160;  <span class="keywordtype">char</span> <span class="keywordtype">string</span>[1024];</div><div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="structencryption.html#ab74a06dd524298d1cb204b4fb596515f">   19</a></span>&#160;  <span class="keywordtype">char</span> <a class="code" href="structencryption.html#ab74a06dd524298d1cb204b4fb596515f">encrypted</a>[1024];</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="structencryption.html#a9b913c25119a5f9062c320e2137648cd">   20</a></span>&#160;  <span class="keywordtype">int</span> <a class="code" href="structencryption.html#a9b913c25119a5f9062c320e2137648cd">isAPath</a>;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;};</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keywordtype">void</span> <a class="code" href="encrypt_8h.html#ab4f8ea86b5db4403b2488646abdafc64">encrypt</a>(encryption_t toEncrypt);</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keywordtype">void</span> <a class="code" href="encrypt_8h.html#a76cfae303d5d0dccd731720d2a216bbc">caesar</a>(encryption_t toEncrypt);</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keywordtype">void</span> <a class="code" href="encrypt_8h.html#a026374091f90bdd887ab4a08872317f5">rotation</a>(encryption_t toEncrypt);</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keywordtype">void</span> <a class="code" href="encrypt_8h.html#a9baf18e6b0cbbf503b3abe47d61d361b">lut</a>(encryption_t toEncrypt);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keywordtype">char</span> <a class="code" href="encrypt_8h.html#ac644d6c625272f69e23b9d093e86953d">askType</a>(encryption_t *toEncrypt);</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keywordtype">char</span> <a class="code" href="encrypt_8h.html#a9b76482779531bcf71e4d43fd002ef5d">askMethod</a>(encryption_t *toEncrypt);</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keywordtype">char</span> <a class="code" href="encrypt_8h.html#acf4dd671fa82cbd13d8244bd1f77fc58">askKey</a>(encryption_t *toEncrypt);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keywordtype">char</span> <a class="code" href="encrypt_8h.html#a975aa0a4c4430694bc944e31327c52f0">askSpec</a>(encryption_t *toEncrypt);</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keywordtype">char</span> <a class="code" href="encrypt_8h.html#a1d12f0e225e3b36d91ae9230a52c1e82">askString</a>(encryption_t *toEncrypt);</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keywordtype">char</span> <a class="code" href="encrypt_8h.html#a0e1122e9594026eb5d4289040cb1a8d7">askFilePath</a>(encryption_t *toEncrypt);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keywordtype">char</span> <a class="code" href="encrypt_8h.html#a89fa5551b318fa8698c39fd2abfef2b4">askEncryptedPath</a>(encryption_t *toEncrypt);</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keywordtype">char</span> <a class="code" href="encrypt_8h.html#a7a6f0ca629fb70c1b0079b318857bce3">askoutputFileSuffix</a>(encryption_t *toEncrypt);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keywordtype">char</span> <a class="code" href="encrypt_8h.html#aa42fe61f3d5841eaa68137259e9927ee">askDispFile</a>(<span class="keywordtype">void</span>);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keywordtype">char</span> <a class="code" href="encrypt_8h.html#aa42fe61f3d5841eaa68137259e9927ee">askDispFile</a>(<span class="keywordtype">void</span>);</div><div class="ttc" id="encrypt_8h_html_a0e1122e9594026eb5d4289040cb1a8d7"><div class="ttname"><a href="encrypt_8h.html#a0e1122e9594026eb5d4289040cb1a8d7">askFilePath</a></div><div class="ttdeci">char askFilePath(encryption_t *toEncrypt)</div><div class="ttdef"><b>Definition:</b> hmi.c:169</div></div>
<div class="ttc" id="encrypt_8h_html_a7a6f0ca629fb70c1b0079b318857bce3"><div class="ttname"><a href="encrypt_8h.html#a7a6f0ca629fb70c1b0079b318857bce3">askoutputFileSuffix</a></div><div class="ttdeci">char askoutputFileSuffix(encryption_t *toEncrypt)</div></div>
<div class="ttc" id="structencryption_html_a9b913c25119a5f9062c320e2137648cd"><div class="ttname"><a href="structencryption.html#a9b913c25119a5f9062c320e2137648cd">encryption::isAPath</a></div><div class="ttdeci">int isAPath</div><div class="ttdef"><b>Definition:</b> encrypt.h:20</div></div>
<div class="ttc" id="encrypt_8h_html_a3bef78556ca8b58aced11732a4c85d74"><div class="ttname"><a href="encrypt_8h.html#a3bef78556ca8b58aced11732a4c85d74">method_t</a></div><div class="ttdeci">void(* method_t)(encryption_t toEncrypt)</div><div class="ttdef"><b>Definition:</b> encrypt.h:13</div></div>
<div class="ttc" id="structencryption_html_aa5447b7a42e44bad296e7088df8b5668"><div class="ttname"><a href="structencryption.html#aa5447b7a42e44bad296e7088df8b5668">encryption::key</a></div><div class="ttdeci">char key[1024]</div><div class="ttdef"><b>Definition:</b> encrypt.h:17</div></div>
<div class="ttc" id="encrypt_8h_html_ac644d6c625272f69e23b9d093e86953d"><div class="ttname"><a href="encrypt_8h.html#ac644d6c625272f69e23b9d093e86953d">askType</a></div><div class="ttdeci">char askType(encryption_t *toEncrypt)</div><div class="ttdef"><b>Definition:</b> hmi.c:27</div></div>
<div class="ttc" id="encrypt_8h_html_a9baf18e6b0cbbf503b3abe47d61d361b"><div class="ttname"><a href="encrypt_8h.html#a9baf18e6b0cbbf503b3abe47d61d361b">lut</a></div><div class="ttdeci">void lut(encryption_t toEncrypt)</div></div>
<div class="ttc" id="encrypt_8h_html_a76cfae303d5d0dccd731720d2a216bbc"><div class="ttname"><a href="encrypt_8h.html#a76cfae303d5d0dccd731720d2a216bbc">caesar</a></div><div class="ttdeci">void caesar(encryption_t toEncrypt)</div><div class="ttdef"><b>Definition:</b> encrypt.c:18</div></div>
<div class="ttc" id="encrypt_8h_html_a10a17228da1509a91c4329a43ae43937"><div class="ttname"><a href="encrypt_8h.html#a10a17228da1509a91c4329a43ae43937">encryption_t</a></div><div class="ttdeci">struct encryption * encryption_t</div><div class="ttdef"><b>Definition:</b> encrypt.h:12</div></div>
<div class="ttc" id="encrypt_8h_html_a9b76482779531bcf71e4d43fd002ef5d"><div class="ttname"><a href="encrypt_8h.html#a9b76482779531bcf71e4d43fd002ef5d">askMethod</a></div><div class="ttdeci">char askMethod(encryption_t *toEncrypt)</div><div class="ttdef"><b>Definition:</b> hmi.c:87</div></div>
<div class="ttc" id="structencryption_html_ae447007bf70e69f8570be04ad882a00c"><div class="ttname"><a href="structencryption.html#ae447007bf70e69f8570be04ad882a00c">encryption::method</a></div><div class="ttdeci">method_t method</div><div class="ttdef"><b>Definition:</b> encrypt.h:16</div></div>
<div class="ttc" id="encrypt_8h_html_a89fa5551b318fa8698c39fd2abfef2b4"><div class="ttname"><a href="encrypt_8h.html#a89fa5551b318fa8698c39fd2abfef2b4">askEncryptedPath</a></div><div class="ttdeci">char askEncryptedPath(encryption_t *toEncrypt)</div></div>
<div class="ttc" id="encrypt_8h_html_aa42fe61f3d5841eaa68137259e9927ee"><div class="ttname"><a href="encrypt_8h.html#aa42fe61f3d5841eaa68137259e9927ee">askDispFile</a></div><div class="ttdeci">char askDispFile(void)</div></div>
<div class="ttc" id="encrypt_8h_html_a026374091f90bdd887ab4a08872317f5"><div class="ttname"><a href="encrypt_8h.html#a026374091f90bdd887ab4a08872317f5">rotation</a></div><div class="ttdeci">void rotation(encryption_t toEncrypt)</div></div>
<div class="ttc" id="encrypt_8h_html_acf4dd671fa82cbd13d8244bd1f77fc58"><div class="ttname"><a href="encrypt_8h.html#acf4dd671fa82cbd13d8244bd1f77fc58">askKey</a></div><div class="ttdeci">char askKey(encryption_t *toEncrypt)</div><div class="ttdef"><b>Definition:</b> hmi.c:155</div></div>
<div class="ttc" id="encrypt_8h_html_ab4f8ea86b5db4403b2488646abdafc64"><div class="ttname"><a href="encrypt_8h.html#ab4f8ea86b5db4403b2488646abdafc64">encrypt</a></div><div class="ttdeci">void encrypt(encryption_t toEncrypt)</div><div class="ttdef"><b>Definition:</b> encrypt.c:14</div></div>
<div class="ttc" id="encrypt_8h_html_a1d12f0e225e3b36d91ae9230a52c1e82"><div class="ttname"><a href="encrypt_8h.html#a1d12f0e225e3b36d91ae9230a52c1e82">askString</a></div><div class="ttdeci">char askString(encryption_t *toEncrypt)</div><div class="ttdef"><b>Definition:</b> hmi.c:141</div></div>
<div class="ttc" id="encrypt_8h_html_a975aa0a4c4430694bc944e31327c52f0"><div class="ttname"><a href="encrypt_8h.html#a975aa0a4c4430694bc944e31327c52f0">askSpec</a></div><div class="ttdeci">char askSpec(encryption_t *toEncrypt)</div></div>
<div class="ttc" id="structencryption_html"><div class="ttname"><a href="structencryption.html">encryption</a></div><div class="ttdef"><b>Definition:</b> encrypt.h:15</div></div>
<div class="ttc" id="structencryption_html_ab74a06dd524298d1cb204b4fb596515f"><div class="ttname"><a href="structencryption.html#ab74a06dd524298d1cb204b4fb596515f">encryption::encrypted</a></div><div class="ttdeci">char encrypted[1024]</div><div class="ttdef"><b>Definition:</b> encrypt.h:19</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
